summaryrefslogtreecommitdiff
path: root/ACE/examples/IPC_SAP/SOCK_SAP/run_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ACE/examples/IPC_SAP/SOCK_SAP/run_test.sh')
-rwxr-xr-xACE/examples/IPC_SAP/SOCK_SAP/run_test.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/ACE/examples/IPC_SAP/SOCK_SAP/run_test.sh b/ACE/examples/IPC_SAP/SOCK_SAP/run_test.sh
new file mode 100755
index 00000000000..7f0a4dbdaa7
--- /dev/null
+++ b/ACE/examples/IPC_SAP/SOCK_SAP/run_test.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+# $Id$
+#
+# Spawns CPP-inserver-fancy and CPP-inclient executables on a single host.
+
+usage="usage: $0 #client_threads"
+
+user=`whoami`
+iterations=1000
+
+if [ $# -ne 1 ]; then
+ echo $usage;
+ exit 1
+fi
+threads=$1;
+
+
+########
+######## Enable signal handler.
+########
+trap 'kill -1 $server_pid; ' 0 1 2 15
+
+
+########
+######## Start CPP-inserver-fancy and save its pid.
+########
+./CPP-inserver-fancy > \
+ ${tmp}server.log 2>&1 &
+server_pid=$!
+
+sleep 2;
+
+########
+######## Start CPP-inclient.
+########
+./CPP-inclient -2 -T 100000 -m 69 -t $threads -i 100 > ${tmp}client-${threads}.log 2>&1